QGIS Application - Feature request #4467
Imported GPS data should be automatically grouped
2011-10-29 04:58 PM - Gerhardus Geldenhuis

Status: Open

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14394
Description

When | import data from my Garmin GPS | get:
track points

route points

tracks

routes

way points

All of these are separate top layers. This is not a big problem until | start importing multiple gpx files. It would be very nice if all items
contained within a gpx file could be automatically grouped in a newly created group that takes the name of the file you are importing.

This request is very specific with regards to data that | have worked with but | am sure the concept could be more generically applied to
other data that gets imported.

History

#1 - 2011-10-30 05:17 AM - Giovanni Manghi
- Category changed from GUI to Map Legend

| agree that the request is very specific, as for a general use you can already create a group, name it as you want, and have QGIS add every new layer into
the selected group. So... please consider supporting the development of such specific feature, if it is critical for your work.

#2 - 2011-10-30 12:48 PM - Gerhardus Geldenhuis

The suggestion is not critical to my work it is merely a suggestion from a new user perspective. | believe such a feature could make you more productive. In
what way could | support development of this feature?

#3 - 2011-10-30 12:56 PM - Giovanni Manghi

Gerhardus Geldenhuis wrote:

In what way could | support development of this feature?

http://www.qgis.org/wiki/Bugs

this works also for features, not only bugs. Or you can also hire a developer/company, there are many listed in the qgis site.
#4 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#5 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
